# -*- coding: utf-8 -*-
from django.utils.translation import ugettext_lazy as _


REGIONS = (
    ("AA", _(u"Private use")),
	("AC", _(u"Ascension Island")),
	("AD", _(u"Andorra")),
	("AE", _(u"United Arab Emirates")),
	("AF", _(u"Afghanistan")),
	("AG", _(u"Antigua and Barbuda")),
	("AI", _(u"Anguilla")),
	("AL", _(u"Albania")),
	("AM", _(u"Armenia")),
	("AN", _(u"Netherlands Antilles")),
	("AO", _(u"Angola")),
	("AQ", _(u"Antarctica")),
	("AR", _(u"Argentina")),
	("AS", _(u"American Samoa")),
	("AT", _(u"Austria")),
	("AU", _(u"Australia")),
	("AW", _(u"Aruba")),
	("AX", _(u"Åland Islands")),
	("AZ", _(u"Azerbaijan")),
	("BA", _(u"Bosnia and Herzegovina")),
	("BB", _(u"Barbados")),
	("BD", _(u"Bangladesh")),
	("BE", _(u"Belgium")),
	("BF", _(u"Burkina Faso")),
	("BG", _(u"Bulgaria")),
	("BH", _(u"Bahrain")),
	("BI", _(u"Burundi")),
	("BJ", _(u"Benin")),
	("BL", _(u"Saint Barthélemy")),
	("BM", _(u"Bermuda")),
	("BN", _(u"Brunei Darussalam")),
	("BO", _(u"Bolivia")),
	("BQ", _(u"Bonaire, Sint Eustatius and Saba")),
	("BR", _(u"Brazil")),
	("BS", _(u"Bahamas")),
	("BT", _(u"Bhutan")),
	("BU", _(u"Burma")),
	("BV", _(u"Bouvet Island")),
	("BW", _(u"Botswana")),
	("BY", _(u"Belarus")),
	("BZ", _(u"Belize")),
	("CA", _(u"Canada")),
	("CC", _(u"Cocos  Islands")),
	("CD", _(u"The Democratic Republic of the Congo")),
	("CF", _(u"Central African Republic")),
	("CG", _(u"Congo")),
	("CH", _(u"Switzerland")),
	("CI", _(u"Côte d'Ivoire")),
	("CK", _(u"Cook Islands")),
	("CL", _(u"Chile")),
	("CM", _(u"Cameroon")),
	("CN", _(u"China")),
	("CO", _(u"Colombia")),
	("CP", _(u"Clipperton Island")),
	("CR", _(u"Costa Rica")),
	("CS", _(u"Serbia and Montenegro")),
	("CU", _(u"Cuba")),
	("CV", _(u"Cabo Verde")),
	("CW", _(u"Curaçao")),
	("CX", _(u"Christmas Island")),
	("CY", _(u"Cyprus")),
	("CZ", _(u"Czechia")),
	("DD", _(u"German Democratic Republic")),
	("DE", _(u"Germany")),
	("DG", _(u"Diego Garcia")),
	("DJ", _(u"Djibouti")),
	("DK", _(u"Denmark")),
	("DM", _(u"Dominica")),
	("DO", _(u"Dominican Republic")),
	("DZ", _(u"Algeria")),
	("EA", _(u"Ceuta, Melilla")),
	("EC", _(u"Ecuador")),
	("EE", _(u"Estonia")),
	("EG", _(u"Egypt")),
	("EH", _(u"Western Sahara")),
	("ER", _(u"Eritrea")),
	("ES", _(u"Spain")),
	("ET", _(u"Ethiopia")),
	("EU", _(u"European Union")),
	("EZ", _(u"Eurozone")),
	("FI", _(u"Finland")),
	("FJ", _(u"Fiji")),
	("FK", _(u"Falkland Islands")),
	("FM", _(u"Federated States of Micronesia")),
	("FO", _(u"Faroe Islands")),
	("FR", _(u"France")),
	("FX", _(u"Metropolitan France")),
	("GA", _(u"Gabon")),
	("GB", _(u"United Kingdom")),
	("GD", _(u"Grenada")),
	("GE", _(u"Georgia")),
	("GF", _(u"French Guiana")),
	("GG", _(u"Guernsey")),
	("GH", _(u"Ghana")),
	("GI", _(u"Gibraltar")),
	("GL", _(u"Greenland")),
	("GM", _(u"Gambia")),
	("GN", _(u"Guinea")),
	("GP", _(u"Guadeloupe")),
	("GQ", _(u"Equatorial Guinea")),
	("GR", _(u"Greece")),
	("GS", _(u"South Georgia and the South Sandwich Islands")),
	("GT", _(u"Guatemala")),
	("GU", _(u"Guam")),
	("GW", _(u"Guinea-Bissau")),
	("GY", _(u"Guyana")),
	("HK", _(u"Hong Kong")),
	("HM", _(u"Heard Island and McDonald Islands")),
	("HN", _(u"Honduras")),
	("HR", _(u"Croatia")),
	("HT", _(u"Haiti")),
	("HU", _(u"Hungary")),
	("IC", _(u"Canary Islands")),
	("ID", _(u"Indonesia")),
	("IE", _(u"Ireland")),
	("IL", _(u"Israel")),
	("IM", _(u"Isle of Man")),
	("IN", _(u"India")),
	("IO", _(u"British Indian Ocean Territory")),
	("IQ", _(u"Iraq")),
	("IR", _(u"Islamic Republic of Iran")),
	("IS", _(u"Iceland")),
	("IT", _(u"Italy")),
	("JE", _(u"Jersey")),
	("JM", _(u"Jamaica")),
	("JO", _(u"Jordan")),
	("JP", _(u"Japan")),
	("KE", _(u"Kenya")),
	("KG", _(u"Kyrgyzstan")),
	("KH", _(u"Cambodia")),
	("KI", _(u"Kiribati")),
	("KM", _(u"Comoros")),
	("KN", _(u"Saint Kitts and Nevis")),
	("KP", _(u"Democratic People's Republic of Korea")),
	("KR", _(u"Republic of Korea")),
	("KW", _(u"Kuwait")),
	("KY", _(u"Cayman Islands")),
	("KZ", _(u"Kazakhstan")),
	("LA", _(u"Lao People's Democratic Republic")),
	("LB", _(u"Lebanon")),
	("LC", _(u"Saint Lucia")),
	("LI", _(u"Liechtenstein")),
	("LK", _(u"Sri Lanka")),
	("LR", _(u"Liberia")),
	("LS", _(u"Lesotho")),
	("LT", _(u"Lithuania")),
	("LU", _(u"Luxembourg")),
	("LV", _(u"Latvia")),
	("LY", _(u"Libya")),
	("MA", _(u"Morocco")),
	("MC", _(u"Monaco")),
	("MD", _(u"Moldova")),
	("ME", _(u"Montenegro")),
	("MF", _(u"Saint Martin")),
	("MG", _(u"Madagascar")),
	("MH", _(u"Marshall Islands")),
	("MK", _(u"North Macedonia")),
	("ML", _(u"Mali")),
	("MM", _(u"Myanmar")),
	("MN", _(u"Mongolia")),
	("MO", _(u"Macao")),
	("MP", _(u"Northern Mariana Islands")),
	("MQ", _(u"Martinique")),
	("MR", _(u"Mauritania")),
	("MS", _(u"Montserrat")),
	("MT", _(u"Malta")),
	("MU", _(u"Mauritius")),
	("MV", _(u"Maldives")),
	("MW", _(u"Malawi")),
	("MX", _(u"Mexico")),
	("MY", _(u"Malaysia")),
	("MZ", _(u"Mozambique")),
	("NA", _(u"Namibia")),
	("NC", _(u"New Caledonia")),
	("NE", _(u"Niger")),
	("NF", _(u"Norfolk Island")),
	("NG", _(u"Nigeria")),
	("NI", _(u"Nicaragua")),
	("NL", _(u"Netherlands")),
	("NO", _(u"Norway")),
	("NP", _(u"Nepal")),
	("NR", _(u"Nauru")),
	("NT", _(u"Neutral Zone")),
	("NU", _(u"Niue")),
	("NZ", _(u"New Zealand")),
	("OM", _(u"Oman")),
	("PA", _(u"Panama")),
	("PE", _(u"Peru")),
	("PF", _(u"French Polynesia")),
	("PG", _(u"Papua New Guinea")),
	("PH", _(u"Philippines")),
	("PK", _(u"Pakistan")),
	("PL", _(u"Poland")),
	("PM", _(u"Saint Pierre and Miquelon")),
	("PN", _(u"Pitcairn")),
	("PR", _(u"Puerto Rico")),
	("PS", _(u"State of Palestine")),
	("PT", _(u"Portugal")),
	("PW", _(u"Palau")),
	("PY", _(u"Paraguay")),
	("QA", _(u"Qatar")),
	("QM", _(u"Private use")),
	("QN", _(u"Private use")),
	("QO", _(u"Private use")),
	("QP", _(u"Private use")),
	("QQ", _(u"Private use")),
	("QR", _(u"Private use")),
	("QS", _(u"Private use")),
	("QT", _(u"Private use")),
	("QU", _(u"Private use")),
	("QV", _(u"Private use")),
	("QW", _(u"Private use")),
	("QX", _(u"Private use")),
	("QY", _(u"Private use")),
	("QZ", _(u"Private use")),
	("RE", _(u"Réunion")),
	("RO", _(u"Romania")),
	("RS", _(u"Serbia")),
	("RU", _(u"Russian Federation")),
	("RW", _(u"Rwanda")),
	("SA", _(u"Saudi Arabia")),
	("SB", _(u"Solomon Islands")),
	("SC", _(u"Seychelles")),
	("SD", _(u"Sudan")),
	("SE", _(u"Sweden")),
	("SG", _(u"Singapore")),
	("SH", _(u"Saint Helena, Ascension and Tristan da Cunha")),
	("SI", _(u"Slovenia")),
	("SJ", _(u"Svalbard and Jan Mayen")),
	("SK", _(u"Slovakia")),
	("SL", _(u"Sierra Leone")),
	("SM", _(u"San Marino")),
	("SN", _(u"Senegal")),
	("SO", _(u"Somalia")),
	("SR", _(u"Suriname")),
	("SS", _(u"South Sudan")),
	("ST", _(u"Sao Tome and Principe")),
	("SU", _(u"Union of Soviet Socialist Republics")),
	("SV", _(u"El Salvador")),
	("SX", _(u"Sint Maarten")),
	("SY", _(u"Syrian Arab Republic")),
	("SZ", _(u"Eswatini")),
	("TA", _(u"Tristan da Cunha")),
	("TC", _(u"Turks and Caicos Islands")),
	("TD", _(u"Chad")),
	("TF", _(u"French Southern Territories")),
	("TG", _(u"Togo")),
	("TH", _(u"Thailand")),
	("TJ", _(u"Tajikistan")),
	("TK", _(u"Tokelau")),
	("TL", _(u"Timor-Leste")),
	("TM", _(u"Turkmenistan")),
	("TN", _(u"Tunisia")),
	("TO", _(u"Tonga")),
	("TP", _(u"East Timor")),
	("TR", _(u"Turkey")),
	("TT", _(u"Trinidad and Tobago")),
	("TV", _(u"Tuvalu")),
	("TW", _(u"Taiwan, Province of China")),
	("TZ", _(u"United Republic of Tanzania")),
	("UA", _(u"Ukraine")),
	("UG", _(u"Uganda")),
	("UM", _(u"United States Minor Outlying Islands")),
	("UN", _(u"United Nations")),
	("US", _(u"United States")),
	("UY", _(u"Uruguay")),
	("UZ", _(u"Uzbekistan")),
	("VA", _(u"Holy See")),
	("VC", _(u"Saint Vincent and the Grenadines")),
	("VE", _(u"Venezuela")),
	("VG", _(u"British Virgin Islands")),
	("VI", _(u"U.S. Virgin Islands")),
	("VN", _(u"Viet Nam")),
	("VU", _(u"Vanuatu")),
	("WF", _(u"Wallis and Futuna")),
	("WS", _(u"Samoa")),
	("XA", _(u"Private use")),
	("XB", _(u"Private use")),
	("XC", _(u"Private use")),
	("XD", _(u"Private use")),
	("XE", _(u"Private use")),
	("XF", _(u"Private use")),
	("XG", _(u"Private use")),
	("XH", _(u"Private use")),
	("XI", _(u"Private use")),
	("XJ", _(u"Private use")),
	("XK", _(u"Private use")),
	("XL", _(u"Private use")),
	("XM", _(u"Private use")),
	("XN", _(u"Private use")),
	("XO", _(u"Private use")),
	("XP", _(u"Private use")),
	("XQ", _(u"Private use")),
	("XR", _(u"Private use")),
	("XS", _(u"Private use")),
	("XT", _(u"Private use")),
	("XU", _(u"Private use")),
	("XV", _(u"Private use")),
	("XW", _(u"Private use")),
	("XX", _(u"Private use")),
	("XY", _(u"Private use")),
	("XZ", _(u"Private use")),
	("YD", _(u"Democratic Yemen")),
	("YE", _(u"Yemen")),
	("YT", _(u"Mayotte")),
	("YU", _(u"Yugoslavia")),
	("ZA", _(u"South Africa")),
	("ZM", _(u"Zambia")),
	("ZR", _(u"Zaire")),
	("ZW", _(u"Zimbabwe")),
	("ZZ", _(u"Private use")),
	("001", _(u"World")),
	("002", _(u"Africa")),
	("003", _(u"North America")),
	("005", _(u"South America")),
	("009", _(u"Oceania")),
	("011", _(u"Western Africa")),
	("013", _(u"Central America")),
	("014", _(u"Eastern Africa")),
	("015", _(u"Northern Africa")),
	("017", _(u"Middle Africa")),
	("018", _(u"Southern Africa")),
	("019", _(u"Americas")),
	("021", _(u"Northern America")),
	("029", _(u"Caribbean")),
	("030", _(u"Eastern Asia")),
	("034", _(u"Southern Asia")),
	("035", _(u"South-Eastern Asia")),
	("039", _(u"Southern Europe")),
	("053", _(u"Australia and New Zealand")),
	("054", _(u"Melanesia")),
	("057", _(u"Micronesia")),
	("061", _(u"Polynesia")),
	("142", _(u"Asia")),
	("143", _(u"Central Asia")),
	("145", _(u"Western Asia")),
	("150", _(u"Europe")),
	("151", _(u"Eastern Europe")),
	("154", _(u"Northern Europe")),
	("155", _(u"Western Europe")),
	("202", _(u"Sub-Saharan Africa")),
	("419", _(u"Latin America and the Caribbean")),
)
